package com.bocloud.nms.model.veeam.repositories;

public class RepositoryAdvancedSettingsModel {

    private boolean alignDataBlocks;
    private boolean decompressBeforeStoring;
    private boolean rotatedDrives;
    private boolean perVmBackup;

    public boolean isAlignDataBlocks() {
        return alignDataBlocks;
    }

    public void setAlignDataBlocks(boolean alignDataBlocks) {
        this.alignDataBlocks = alignDataBlocks;
    }

    public boolean isDecompressBeforeStoring() {
        return decompressBeforeStoring;
    }

    public void setDecompressBeforeStoring(boolean decompressBeforeStoring) {
        this.decompressBeforeStoring = decompressBeforeStoring;
    }

    public boolean isRotatedDrives() {
        return rotatedDrives;
    }

    public void setRotatedDrives(boolean rotatedDrives) {
        this.rotatedDrives = rotatedDrives;
    }

    public boolean isPerVmBackup() {
        return perVmBackup;
    }

    public void setPerVmBackup(boolean perVmBackup) {
        this.perVmBackup = perVmBackup;
    }

    @Override
    public String toString() {
        return "RepositoryAdvancedSettingsModel{" +
                "alignDataBlocks=" + alignDataBlocks +
                ", decompressBeforeStoring=" + decompressBeforeStoring +
                ", rotatedDrives=" + rotatedDrives +
                ", perVmBackup=" + perVmBackup +
                '}';
    }
}
